<div class="sb-profile-page">
  <section class="py-24 d-flex flex-ai-center flex-dc">
    <div class="ui container">
      <div class="d-flex flex-jc-center relative flex-dc">
        <div class="w-100 text-center">
          <div class="sb-profile-page__avatar">
            <img src="assets/images/guest.svg" alt="guest" class="w-100">
          </div>
          <div class="fs-2-5 font-weight-bold mb-24">Guest</div>
        </div>
        <div class="w-100 text-center">
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__category">
            <span class="fmedium white-space-nowrap">State :</span>
            <span class="fmedium font-weight-bold pl-4">Tamil Nadu</span>
          </div>
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__m-responsive-flex-dc">
            <span class="fmedium white-space-nowrap">District:</span>
            <span class="fmedium font-weight-bold pl-4">Chennai </span>
          </div>
          <button type="submit"
            class="sb-btn sb-btn-normal sb-btn-outline-primary sb-right-icon-btn mx-8 sb-profile-btn"
            (click)="showPastMemberModal = !showPastMemberModal">
            <i class="chevron plus icon"></i> Add User
          </button>
          <!-- 
         <button class="sb-btn sb-btn-outline-primary sb-right-icon-btn mx-8 sb-profile-btn" type="button">
          Switch User
           <i class="icon-svg icon-svg--xs icon-addMembers mx-4">
             <svg class="icon icon-svg--primary">
               <use xlink:href="./assets/images/libdemo/sprite.svg#AddMembers">
            </use></svg></i></button> -->

          <button type="button" class="sb-btn sb-btn-normal sb-btn-outline-primary sb-right-icon-btn sb-profile-btn"
            (click)="showBoardSelectnModal = !showBoardSelectnModal">Edit</button>
        </div>
      </div>
    </div>
  </section>

  <section class="d-flex flex-ai-center flex-dc pt-30 pb-30 sb-profile-page__profile-bg">
    <div class="ui container">
      <div class="d-flex flex-jc-center relative">
        <div class="text-center" style="width: 100%; max-width: 315px;">
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__category">
            <span class="fmedium white-space-nowrap">Board :</span>
            <span class="fmedium font-weight-bold pl-4">State Board Tamil Nadu</span>
          </div>
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__m-responsive-flex-dc">
            <span class="fmedium white-space-nowrap">Medium :</span>
            <span class="fmedium font-weight-bold pl-4">English, Tamil </span>
          </div>
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__m-responsive-flex-dc">
            <span class="fmedium white-space-nowrap">Subjects :</span>
            <span class="fmedium font-weight-bold pl-4">English, Mathematics, Tamil </span>
          </div>
          <div class="mb-16 d-flex flex-jc-center sb-profile-page__m-responsive-flex-dc">
            <span class="fmedium white-space-nowrap">Classes :</span>
            <span class="fmedium font-weight-bold pl-4">Class 6, Class 7, Class 8 </span>
          </div>
          <button type="button" class="sb-btn sb-btn-normal sb-btn-outline-primary sb-right-icon-btn sb-profile-btn"
            (click)="showBoardSelectnModal = !showBoardSelectnModal">Edit</button>
        </div>
      </div>
    </div>
  </section>

  <section class="d-flex flex-ai-center flex-dc p-16 sb-profile-page__profile-bg-2">
    <div class="ui container">
      <div class="d-flex flex-jc-center">
        <div class="text-center self-users-content">
          <div class="title pb-8 font-weight-bold">Self Declared Info</div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">Status :</div>
            <div class="fmedium font-weight-bold pl-4 mb-16">Pending</div>

            <div class="sb-toaster sb-toast-danger sb-toast-normal">
              <div class="sb-toast-body mr-0">
                <div class="sb-toast-texts w-100 text-center">
                  <div class="sb-toast-title">ERROR</div>
                  <div class="sb-toast-message">Error Type</div>
                  <ul class="error-lists p-0 my-8">
                    <li class="error-list mb-4">SCHOOL/ORG NAME</li>
                    <li class="error-list mb-0">SCHOOL/ORG ID</li>
                  </ul>
                </div>
              </div>
            </div>
          </div>
<!-- 
          <div class="my-8">
            <div class="fnormal white-space-nowrap">Status:</div>
            <div class="fnormal font-w-bold mt-4 mb-8">PENDING</div>
            <div class="sb-toaster sb-toast-danger sb-toast-normal">
              <div class="sb-toast-body mr-0">
                <div class="sb-toast-texts w-100 text-center">
                  <div class="sb-toast-title">ERROR</div>
                  <div class="sb-toast-message">Error Type Message</div>
                  <ul class="error-lists p-0 my-8">
                    <li class="error-list mb-4">SCHOOL/ORG NAME</li>
                    <li class="error-list mb-0">SCHOOL/ORG ID</li>
                  </ul>
                </div>
              </div>
            </div>
          </div> -->
      
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">State:</div>
            <div class="fmedium font-weight-bold pl-4">Andhra Pradesh</div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">District:</div>
            <div class="fmedium font-weight-bold pl-4">Anantpur</div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">Mobile:</div>
            <div class="fmedium font-weight-bold pl-4"></div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">Email ID:</div>
            <div class="fmedium font-weight-bold pl-4"></div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">School or Org Name:</div>
            <div class="fmedium font-weight-bold pl-4">GHSS</div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">School UDEISE ID/Org ID:</div>
            <div class="fmedium font-weight-bold pl-4">1234</div>
          </div>
          <div class="mb-16">
            <div class="fmedium white-space-nowrap">Your State,Board or Org ID:</div>
            <div class="fmedium font-weight-bold pl-4">56789</div>
          </div>
          <button type="button" class="sb-btn sb-btn-normal sb-btn-outline-primary sb-profile-btn"
            (click)="showBoardSelectnModal = !showBoardSelectnModal">Update</button>
        </div>
      </div>
    </div>
  </section>

</div>


<sui-modal *ngIf="showBoardSelectnModal" [mustScroll]="true" [isClosable]="true" [transitionDuration]="0"
  [size]="'normal'" class="sb-modal" appBodyScroll (dismissed)="showBoardSelectnModal = !showBoardSelectnModal" #modal>
  <!-- <div class="sb-modal-header">
    To discover content relevant to you, update the following details:
  </div> -->
  <div class="sb-modal-content o-y-visible">


  </div>
  <div class="sb-modal-actions">
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-primary"
      (click)="showPastMemberModal = !showPastMemberModal"> Add User
    </button>
  </div>
</sui-modal>


<!-- show past members modal -->
<sui-modal *ngIf="showPastMemberModal" [mustScroll]="true" [isClosable]="true" [transitionDuration]="0" [size]="'small'"
  class="sb-modal " appBodyScroll (dismissed)="showPastMemberModal = !showPastMemberModal" #modal>

  <div class="sb-modal-content">

    <button type="submit" class="sb-btn sb-btn-normal sb-btn-outline-primary sb-right-icon-btn w-100 mt-16 mb-8"
      (click)="showPastMemberModal = !showPastMemberModal">
      <i class="chevron plus icon"></i> Add User
    </button>

  </div>

  <div class="sb-modal-actions">
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-primary"
      (click)="showPastMemberModal = !showPastMemberModal"> Switch User
    </button>
  </div>

</sui-modal>


<!-- screen 2 code -->
<div class="user-profile-box p-0">
  <div class="d-flex flex-jc-space-between pt-16 px-16">
    <div class="user-profile-box__title">Create User</div>
  </div>
  <form class="sb-form mb-16 px-16">
    <div class="ui stackable grid my-8">
      <div class="twelve wide column p-0 mx-16 text-center"><img src="../../assets/images/profile-icon.svg" width="88px"
          height="88px"></div>
      <div class="twelve wide column p-0 mx-16">
        <div class="fields-selection p-0">
          <div class="sb-field field-focus mb-8">
            <input class="sb-form-control selection fields-dropdown ui dropdown" type="text"
              placeholder="Enter user name">
            <label class="font-weight-normal">Name<span>*</span></label>
          </div>
        </div>
      </div>
      <div class="mt-16 mb-8">Preferences can be updated from the profile page of the user</div>
      <div class="twelve wide column p-0 pt-8 mx-16">
        <div class="sb-checkbox sb-checkbox-primary">
          <input type="checkbox" id="check1" name="example">
          <label for="check1">I understand and accept the <a class="text-underline fsmall"
              href="javascript:void(0)">sunbird Terms of Use</a></label>
        </div>
      </div>
    </div>
  </form>
  <div class="user-profile-box__actions pb-16 px-16">
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-primary sb-btn-disabled"> Add User</button>
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-outline-primary mr-16">Cancel</button>
  </div>
</div>

<br><br>

<!-- screen 3 code -->
<div class="user-profile-box my-32 p-0">
  <div class="d-flex flex-jc-space-between px-16 pt-16">
    <div class="user-profile-box__title">Use sunbird as</div>
    <button type="button" class="sb-btn sb-btn-xs sb-btn-error">Delete User</button>
  </div>
  <div class="px-16">
    <button type="submit" class="sb-btn sb-btn-sm sb-right-icon-btn w-100 mt-16 mb-24 sb-add-user-btn">
      <i class="chevron plus icon"></i> Add User
    </button>
  </div>

  <div class="members-list px-16 mb-16">
    <div class="members-list__item members-list__item--active">
      <div class="oval">A</div>
      <div class="member-name"><span>User Name 01</span></div>
      <i class="check circle icon icon_active"></i>
    </div>
    <div class="members-list__item">
      <div class="oval">B</div>
      <div class="member-name"><span>User Name 02</span></div>
      <i class="check circle icon icon_active"></i>
    </div>
  </div>
  <div class="user-profile-box__actions pb-16 px-16">
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-primary" (click)="showSmallModal = !showSmallModal">Switch
      User</button>
    <button type="submit" class="sb-btn sb-btn-normal sb-btn-outline-primary mr-16">Cancel</button>
  </div>
</div>


<!-- screen 8 code modal -->

<sui-modal *ngIf="showSmallModal" [mustScroll]="true" [isClosable]="true" [transitionDuration]="0" [size]="'small'"
  class="sb-modal " appBodyScroll (dismissed)="showSmallModal = !showSmallModal" #modal>
  <div class="sb-modal-content">
    <div class="d-flex flex-ai-center text-center flex-dc my-8">
      <div class="sunbird-label font-weight-bold fnormal">Now using sunbird as</div>
      <div class="d-flex flex-jc-center flex-ai-center add-member-content pt-16">
        <div class="add-member-text">
          <div class="oval">A</div>
          <div class="name-label fs-1 my-16 font-weight-bold">Arka Maini</div>
        </div>
      </div>
      <div class="fsmall">Go to Profile to change Board, Medium and Class information</div>
      <div class="mt-16">
        <button class="sb-btn sb-btn-normal sb-btn-outline-primary mr-16" (click)="showSmallModal = !showSmallModal">
          Go to Library
        </button>
        <button class="sb-btn sb-btn-normal sb-btn-primary" (click)="showSmallModal = !showSmallModal">
          Go to Profile
        </button>
      </div>
    </div>
  </div>
</sui-modal>
